PXIe-1085/PXIe-1078 PXI Platform Services Patch Details, May 2015

Publish Date: Oct 04, 2017 | 0 Ratings | 0.00 out of 5 | Print

Overview

This document describes the fixes included in the PXIe-1085/PXIe-1078 PXI Platform Services Patch released in May 2015.

The PXIe-1085/PXIe-1078 PXI Platform Services Patch released in May 2015 is required for all PXIe-1085 and PXIe-1078 chassis that have PXI Platform Services 3.2.2 to 14.1 installed on a Windows controller. 

The patch fixes the following critical issues:

  • PXI-1 modules in, or downstream of (via MXI), an NI PXIe-1085 chassis can, in extremely rare cases, output incorrect data. This behavior is associated with incorrect caching behavior of the PCI Express-to-PCI bridge. This issue only affects Windows systems with an NI PXIe-1085 chassis, PXI-1 modules, and PXI Platform Services 3.2.2 to 14.1 installed. Only PXI-1 modules are possibly at risk; PXI Express modules are not affected. For a list of NI modules that could potentially be affected by this issue, see the attachment below.
  • DAQ and GPIB hardware in the PXIe-1078 experience a performance drop as compared with previous versions of PXI Platform Services.

In order to resolve these issues, install the patch referenced in the Related Links section below. 

If you would like to determine if your system is already patched, follow these steps:

  1. Navigate to C:\Windows\System32\Drivers.
  2. Right-click on nipxibrc.sys and select Properties
  3. Select the Details tab.
  4. If your system is patched, the File version field will list 14.9.0.49152 as the version.

Contact National Instruments if you have further questions.

Note: If you include PXI Platform Services 3.2.2 to 14.1 in a deployment, you will also need to deploy this patch.

Related Links: 
Drivers and Updates: PXIe-1085 PXIe-1078 Patch May 2015

Back to Top

Bookmark & Share


Downloads


Ratings

Rate this document

Answered Your Question?
Yes No

Submit